package com.convenient.android.lib.ui.ad.util

import android.content.Context
import androidx.appcompat.widget.AppCompatImageView
import coil.load
import com.composition.android.lib.ad.interfaces.ImageLoader

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/9/7
 * description:
 */
class CoilImageLoader : ImageLoader<AppCompatImageView> {

    override fun displayImage(context: Context?, path: Any?, imageView: AppCompatImageView) {
        imageView.load(path)
    }

}