package com.composition.android.lib.ad.basic

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/9/1
 * description:广告提供商
 */
enum class Advertisers {

    /**
     * 谷歌Admob广告
     */
    Admob,

    /**
     * AppLovin广告
     */
    AppLovin,

    /**
     * AppLovinMax广告
     */
    AppLovinMax,

    /**
     * 穿山甲广告
     */
    CSJ,

    GroMore,

    /**
     * 自定义广告
     */
    CUSTOM,

    /**
     * 未知
     */
    UNKNOWN,

}