package com.composition.android.lib.ad.basic

import android.app.Activity
import android.view.View
import android.view.ViewGroup
import androidx.appcompat.widget.AppCompatButton
import androidx.appcompat.widget.AppCompatImageView
import androidx.appcompat.widget.AppCompatTextView
import com.composition.android.lib.ad.AdManager
import com.composition.android.lib.ad.interfaces.AdListener
import com.composition.android.lib.ad.interfaces.ImageLoader
import java.lang.annotation.Native

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/9/6
 * description: 原生广告View配置类，指定相关视图
 */
class BannerAdViewHolder(
    var adListener : AdListener? = null,
    var activity : Activity? = null, //穿山甲广告需要
) {


    companion object{

        fun buildBannerAdViewHolder(viewHolder : BannerAdViewHolder.()-> Unit) : BannerAdViewHolder{
            return BannerAdViewHolder().also(viewHolder)
        }

    }

}


fun buildBannerAdViewHolder(viewHolder: BannerAdViewHolder.() -> Unit) = BannerAdViewHolder.buildBannerAdViewHolder(viewHolder)