# 自定义广告

## 广告类型

* 开屏
* 插屏
* 原生
* Banner
* 模板



## 广告配置

广告通过Json格式进行配置

### 开屏广告

```json
"appOpen" : {
  "timeOut": 5000,
  "retryNum": 1,
  "disableChannel" : "",
  "adUnits": [
    {
      "adUnitId": "xxx",								// 广告id
      "advertisers": "Custom",  				// 广告商类型
      "adType": "app_open",							// 广告类型
      "enable": true,										// 是否开启
      "adDetail" : {
        "jumpOver" : true,							// 是否可跳过
        "countDown" : 5, 								// 倒计时 5秒
        "pic" : [
          {															
            "language" : "en",					//默认使用英语环境下广告素材， 如果指定了其他语种广告，则使用对应广告							
            														//优先级 以简体中文—中国为例， 优先级为：zh_rCN-> zh -> en
            "ratio" : 0.5,						//图片比例 宽：高  1:0.5
            "imageUrl" : "https://xxx.png" , // 广告图片链接
            "link" : "https://compdfkit.com",	// 点击跳转的网页 或 跳转 app内部uri
            "jumpApp" : false						//是否为跳转app内界面
          },
          {
            "language" : "zh_CN",
            "ratio" : 0.5,						//图片比例 宽：高  1:0.5
            "image" : "https://xxx.png"// 广告图片链接
            ...													//与上方默认配置一致
          }
        ]
      }
    }
  ]
}
```

