package com.composition.android.ad.custom.load.view

import android.content.Context
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import android.widget.LinearLayout
import androidx.appcompat.widget.AppCompatImageView
import com.composition.android.lib.ad.basic.BannerAdViewHolder
import com.composition.android.lib.ad.basic.BasicAdView
import com.composition.android.lib.ad.basic.NativeAdViewHolder

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2023/7/17
 * description: 基础的自定义广告view
 */
class BasicCustomAdView(context : Context) : BasicAdView<View>(context) {

    private var viewHolder: BannerAdViewHolder? = null

    fun setViewHolder(viewHolder: BannerAdViewHolder) {
        this.viewHolder = viewHolder
    }


    override fun adContentView(): View? {
        var imageView = AppCompatImageView(context)
        imageView.layoutParams = LinearLayout.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, ViewGroup.LayoutParams.MATCH_PARENT)
        imageView.scaleType = ImageView.ScaleType.FIT_CENTER
        
        return imageView
    }

    override fun onResume() {
        TODO("Not yet implemented")
    }

    override fun onPause() {
        TODO("Not yet implemented")
    }

    override fun onDestroy() {
        TODO("Not yet implemented")
    }


}