package com.composition.android.ad.gromore.mediation

/**
 * @classname: ADN初始化 本地传输的附加配置信息 key
 * @author: LiuXiaoLong
 * @date: 2023/9/18
 * description:
 */
object AdnLocalExtraConfig {

    /**
     * 是否同意隐私政策
     */
    val EXTRA_AGREE_AGREEMENT = "extra_agree_agreement"

    /**
     * 是否开启个性化广告
     * true: 允许个性化广告
     * false: 关闭个性化广告
     */
    val EXTRA_IS_LIMIT_PERSONAL_AD = "extra_is_limit_personal_ad"

    /**
     * 优量汇SDK 初始化设置应用渠道
     * @see UnionInitialize
     */
    val EXTRA_UNION_ADN_CHANNEL_ID = "extra_union_adn_channel_ID"
}