package com.kdanmobile.android.lib.material.tokens

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2023/2/20
 * description: Token json的类型
 * 分为：
 * Global.json 全局基础token
 * Alias-light.json 对基础token的别名
 * Comp-light.json 组合token
 */
enum class TokenJsonType {


    Global,

    Alias,

    Compose


}