package com.convenient.android.lib.ui.theme

import androidx.compose.material3.Typography
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.font.FontFamily
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.sp

//Replace with your font locations
val Roboto = FontFamily.Default


val AppTypography = Typography(
  labelLarge = TextStyle(
      fontWeight = FontWeight.Medium,
      letterSpacing = 0.sp,
      lineHeight = 20.sp,
      fontSize = 14.sp
  ),
  labelMedium = TextStyle(
      fontWeight = FontWeight.Medium,
      letterSpacing = 0.10000000149011612.sp,
      lineHeight = 16.sp,
      fontSize = 12.sp
  ),
  labelSmall = TextStyle(
      fontWeight = FontWeight.Medium,
      letterSpacing = 0.10000000149011612.sp,
      lineHeight = 16.sp,
      fontSize = 11.sp
  ),
  bodyLarge = TextStyle(
      fontWeight = FontWeight.W400,
      letterSpacing = 0.sp,
      lineHeight = 24.sp,
      fontSize = 16.sp
  ),
  bodyMedium = TextStyle(
      fontWeight = FontWeight.W400,
      letterSpacing = 0.sp,
      lineHeight = 20.sp,
      fontSize = 14.sp
  ),
  bodySmall = TextStyle(
      fontWeight = FontWeight.W400,
      letterSpacing = 0.10000000149011612.sp,
      lineHeight = 16.sp,
      fontSize = 12.sp
  ),
  headlineLarge = TextStyle(
      fontWeight = FontWeight.W400,
      letterSpacing = 0.sp,
      lineHeight = 40.sp,
      fontSize = 32.sp
  ),
  headlineMedium = TextStyle(
      fontWeight = FontWeight.W400,
      letterSpacing = 0.sp,
      lineHeight = 36.sp,
      fontSize = 28.sp
  ),
  headlineSmall = TextStyle(
      fontWeight = FontWeight.W400,
      letterSpacing = 0.sp,
      lineHeight = 32.sp,
      fontSize = 24.sp
  ),
  displayLarge = TextStyle(
      fontWeight = FontWeight.W400,
      letterSpacing = 0.sp,
      lineHeight = 64.sp,
      fontSize = 57.sp
  ),
  displayMedium = TextStyle(
      fontWeight = FontWeight.W400,
      letterSpacing = 0.sp,
      lineHeight = 52.sp,
      fontSize = 45.sp
  ),
  displaySmall = TextStyle(
      fontWeight = FontWeight.W400,
      letterSpacing = 0.sp,
      lineHeight = 44.sp,
      fontSize = 36.sp
  ),
  titleLarge = TextStyle(
      fontWeight = FontWeight.W400,
      letterSpacing = 0.sp,
      lineHeight = 28.sp,
      fontSize = 22.sp
  ),
  titleMedium = TextStyle(
      fontWeight = FontWeight.Medium,
      letterSpacing = 0.sp,
      lineHeight = 24.sp,
      fontSize = 16.sp
  ),
  titleSmall = TextStyle(
      fontWeight = FontWeight.Medium,
      letterSpacing = 0.sp,
      lineHeight = 20.sp,
      fontSize = 14.sp
  ),
)