package com.composition.android.lib.ad.basic

import androidx.annotation.IntDef


/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/9/1
 * description:广告加载code
 */
@IntDef(
    AdLoadCode.SUCCESS,
    AdLoadCode.CANCEL,
    AdLoadCode.FAIL
)
@kotlin.annotation.Retention(AnnotationRetention.SOURCE)
annotation class AdLoadCode {

    companion object {

        /**
         * 广告加载成
         */
        const val SUCCESS = 0

        /**
         * 广告取消
         */
        const val CANCEL = 1

        /**
         * 广告加载失败
         */
        const val FAIL = 2


    }
}
