package com.composition.android.lib.ad.basic

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/9/1
 * description:广告类型
 */
enum class AdType {

    /**
     * 开屏广告
     */
    APP_OPEN,

    /**
     * 横幅广告
     */
    BANNER,

    /**
     * 原生自填充广告
     */
    NATIVE,

    /**
     * 原生模板广告，类似于横幅广告，不需要自己填充内容
     */
    NATIVE_TEMPLATE,

    /**
     * 信息流广告
     */
    FEED,

    /**
     * 插屏广告
     */
    INTERSTITIAL,

    /**
     * 激励视频广告
     */
    REWARDED_VIDEO,

    /**
     * 激励插屏广告
     */
    REWARDED_INTERSTITIAL,

    /**
     * 未知
     */
    UNKNOWN


}