package com.composition.android.lib.ad.bean

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/9/1
 * description:广告单元加载配置
 */
data class AdUnitLoadConfig(
    /**
     * 广告加载重试次数
     */
    var adLoadRetryCount : Int = 1,
    /**
     * 广告加载超时时间，单位：毫秒
     */
    var adLoadTimeOut : Long = 8000

): java.io.Serializable
