package com.composition.android.lib.ad.interfaces

import android.content.Context
import com.composition.android.lib.ad.basic.AdResult
import com.composition.android.lib.ad.bean.AdUnitBean

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/9/5
 * description: 各类样式广告请求接口
 */
interface IAdFormatRequest {

    suspend fun load(context: Context, adUnitBean: AdUnitBean) : AdResult

}