package com.composition.android.ad.gromore.union

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2023/9/21
 * description:
 */
object UnionConstants {


    enum class Channel(val id : Int){

        BAIDU(id = 1),
        TOUTIAO(id = 2),
        UNION (id = 3),
        SOUGOU(id = 4),
        OTHER_NET(id = 5),
        OPPO(id = 6),
        VIVO(id = 7),
        HUAWEI(id = 8),
        YING_YONG_BAO(id = 9),
        XIAOMI(id = 10),
        JIN_LI(id = 11),
        BAIDU_MOBILE(id = 12),
        FLYME(id = 13),
        APP_STORE(id = 14),
        OTHER(id = 999),



    }

    fun getChannelById(id : Int) : Channel {
        try {
            for (value in Channel.values()) {
                if (id == value.id){
                    return value
                }
            }
            return Channel.OTHER
        }catch (e : Exception){
            return Channel.OTHER
        }
    }


}

